---
title: List Regions
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Load Balancers](https://developers.cloudflare.com/api/go/resources/load_balancers)

[Regions](https://developers.cloudflare.com/api/go/resources/load_balancers/subresources/regions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Regions

client.LoadBalancers.Regions.List(ctx, params) (\*unknown, error)

GET/accounts/{account\_id}/load\_balancers/regions

List all region mappings.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Load Balancing: Monitors and Pools Write``Load Balancing: Monitors and Pools Read`

##### ParametersExpand Collapse

<details>

<summary>

params RegionListParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20load_balancers.regions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

CountryCodeA2 param.Field\[string]Optional

Query param: Two-letter alpha-2 country code followed in ISO 3166-1.

<a href="#(resource)%20load_balancers.regions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20country_code_a2">Link to this property</a>

SubdivisionCode param.Field\[string]Optional

Query param: Two-letter subdivision code followed in ISO 3166-2.

<a href="#(resource)%20load_balancers.regions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20subdivision_code">Link to this property</a>

SubdivisionCodeA2 param.Field\[string]Optional

Query param: Two-letter subdivision code followed in ISO 3166-2.

<a href="#(resource)%20load_balancers.regions%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20subdivision_code_a2">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers.regions%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type RegionListResponseEnvelopeResult interface{…}

</summary>

One of the following:

unknown

<a href="#(resource)%20load_balancers.regions%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result%20%3E%20(variant)%200">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers.regions%20%3E%20(method)%20list%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### List Regions

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/load_balancers"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  regions, err := client.LoadBalancers.Regions.List(context.TODO(), load_balancers.RegionListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", regions)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
```